com.corticon.rulesemf.common

## Interface ValidatableObject

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActionValueSetCell, ActivityShape, AssociationEndExtension, AttributeExtension, Cell, ConditionValueSetCell, CustomDataType, DatabaseProperty, DecisionShape, DomainExtension, EntityExtension, EnumerationElement, ExpressionCell, FlowShape, InitiateShape, LogicalVariable, OpaqueExpression, ReferencedAttribute, RulesheetString, ScopeAlias, ScopeAssociation, ScopeAttribute, ScopeEntity, ScopeFilter, ScopeFolder, ScopeNode, ScopeSortedAlias, TerminateShape, TestAssociation, TestAssociationHref, TestAssociationImbedded, TestAttribute, TestCharacteristic, TestEntity, TestNode, TestRoot, TestTransient, ValueSetCell, VocabularyBoolean, VocabularyDataType, VocabularyExpression, VocabularyProperty, VocabularyString, VocabularyValueSet

      public interface ValidatableObject
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Validatable Object'.

  The following features are supported:

  - `Validation Messages`
  See Also:
    `CommonPackage.getValidatableObject()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getValidationMessages()` Returns the value of the 'Validation Messages' reference list.
    `boolean` | `hasErrors()` Return an indication of whether the object has any ERROR severity messages.
    `boolean` | `hasErrors(boolean abDemotion)` Return an indication of whether the object has any ERROR severity messages.
    `boolean` | `hasErrorsOrWarnings()` Return an indication of whether the object has any ERROR or WARNING severity messages.
    `boolean` | `hasErrorsOrWarnings(boolean abDemotion)` Return an indication of whether the object has any ERROR or WARNING severity messages.
    `boolean` | `hasSeverity(ValidationMessageSeverity aValidationMessageSeverity)` Return an indication of whether the object has any messages of the specified severity.
    `boolean` | `hasSeverity(ValidationMessageSeverity aValidationMessageSeverity, boolean abDemotion)` Return an indication of whether the object has any messages of the specified severity.
    `boolean` | `hasWarnings()` Return an indication of whether the object has any WARNING severity messages.
    `boolean` | `hasWarnings(boolean abDemotion)` Return an indication of whether the object has any WARNING severity messages.
    `boolean` | `isValid()` Return an indication of whether the object is free of any ERROR severity messages.
    `boolean` | `isValid(boolean abDemotion)` Return an indication of whether the object is free of any ERROR severity messages.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValidationMessages

          org.eclipse.emf.common.util.EList getValidationMessages()

      Returns the value of the 'Validation Messages' reference list. The list contents are of type `ValidationMessage`. It is bidirectional and its opposite is '`Invalid Objects`'.

      If the meaning of the 'Validation Messages' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Validation Messages' reference list.
      See Also:
        `CommonPackage.getValidatableObject_ValidationMessages()`, `ValidationMessage.getInvalidObjects()`

    - #### hasErrors

          boolean hasErrors()

      Return an indication of whether the object has any ERROR severity messages.
      Returns:
        `true` of object has any errors.

    - #### hasErrors

          boolean hasErrors(boolean abDemotion)

      Return an indication of whether the object has any ERROR severity messages.
      Parameters:
        `abDemotion` - `true` to take demotion into account.
      Returns:
        `true` of object has any errors.

    - #### hasErrorsOrWarnings

          boolean hasErrorsOrWarnings()

      Return an indication of whether the object has any ERROR or WARNING severity messages.
      Returns:
        `true` of object has any errors or warnings.

    - #### hasErrorsOrWarnings

          boolean hasErrorsOrWarnings(boolean abDemotion)

      Return an indication of whether the object has any ERROR or WARNING severity messages.
      Parameters:
        `abDemotion` - `true` to take demotion into account.
      Returns:
        `true` of object has any errors or warnings.

    - #### hasSeverity

          boolean hasSeverity(ValidationMessageSeverity aValidationMessageSeverity)

      Return an indication of whether the object has any messages of the specified severity.
      Parameters:
        `aValidationMessageSeverity` - Severity of message.
      Returns:
        `true` if object has any messages of the specified severity.

    - #### hasSeverity

          boolean hasSeverity(ValidationMessageSeverity aValidationMessageSeverity,
                            boolean abDemotion)

      Return an indication of whether the object has any messages of the specified severity.
      Parameters:
        `aValidationMessageSeverity` - Severity of message.
        `abDemotion` - `true` to take demotion into account.
      Returns:
        `true` if object has any messages of the specified severity.

    - #### hasWarnings

          boolean hasWarnings()

      Return an indication of whether the object has any WARNING severity messages.
      Returns:
        `true` of object has any warnings.

    - #### hasWarnings

          boolean hasWarnings(boolean abDemotion)

      Return an indication of whether the object has any WARNING severity messages.
      Parameters:
        `abDemotion` - `true` to take demotion into account.
      Returns:
        `true` of object has any warnings.

    - #### isValid

          boolean isValid()

      Return an indication of whether the object is free of any ERROR severity messages.
      Returns:
        `true` of object has no ERROR severity messages.

    - #### isValid

          boolean isValid(boolean abDemotion)

      Return an indication of whether the object is free of any ERROR severity messages.
      Parameters:
        `abDemotion` - `true` to take demotion into account.
      Returns:
        `true` of object has no ERROR severity messages.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.